/**
 * Proyecto: 9x03-Bicola - Referencias
 * Fichero:  PruebaBicola.java
 * Fecha:    17/05/2012
 *
 * Licencia (CC) BY-NC-SA: giltesa.com
 */


public class PruebaBicola
{
	public static void main( String[] args )
	{

		Bicola<Integer> bicola = new Bicola<Integer>();
		int temp = 0;

		Teclado teclado = new Teclado();
		int opcion;


		do
		{
			// Menu:
			System.out.println("Menu:");
			System.out.println("  1. Insertar por la izquierda");
			System.out.println("  2. Insertar por la derecha");
			System.out.println("  3. Extraer por la izquierda");
			System.out.println("  4. Extraer por la derecha");
			System.out.println("  5. Numero de nodos");
			System.out.println("  6. Imprimir Bicola");
			System.out.print("  0. Salir\n  ");


			// Lectura opcion del menu:
			try
			{
				opcion = teclado.leerInt();

				if( opcion == 1 || opcion == 2 )
					temp = teclado.leerInt("Indique el valor a introducir: ");
			}
			catch( NumberFormatException e )
			{
				System.out.println("La Bicola no esta instanciada para ese tipo de dato!");
				opcion = -1;
			}
			catch( Exception e )
			{
				System.out.println(e);
				opcion = -1;
			}


			// Ejecucion de la opcion:
			switch(opcion)
			{
				case 1:
					bicola.addDatoIzquierda(temp);
				break;

				case 2:
					bicola.addDatoDerecha(temp);
				break;

				case 3:
					if( bicola.getNumDeNodos() == 0 )
						System.out.println("No hay datos que extraer");
					else
						System.out.println("Dato extraido: " + bicola.getDatoIzquierda());
				break;

				case 4:
					if( bicola.getNumDeNodos() == 0 )
						System.out.println("No hay datos que extraer");
					else
						System.out.println("Dato extraido: " + bicola.getDatoDerecha());
				break;

				case 5:
					System.out.println("Numero de datos guardados: " + bicola.getNumDeNodos());
				break;

				case 6:
					System.out.println("Contenido: " + bicola.toString());
				break;
			}

		}
		while(opcion != 0);

	}
}